# Create a Subscription Balance Entry

A Subscription Balance Entry represents a credit applied to a Subscription.

Endpoint: POST /subscriptions/{subscription_id}/subscription_balance_entries
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Path parameters:

  - `subscription_id` (string, required)
    The ID of the Subscription.

## Request fields (application/json):

  - `amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `currency` (string)
    ISO 4217 3-letter currency code. Currently, the only currency supported is USD.
    Enum: "USD"

  - `description` (string)
    A description of the reason for the subscription credit. No special characters are allowed.

  - `type` (string, required)
    Will always be CREDIT.
    Enum: "CREDIT"

## Response 201 fields (application/json):

  - `id` (string)
    The ID of the Subscription Balance Entry resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `currency` (string)
    ISO 4217 3-letter currency code. Currently, the only currency supported is USD.
    Enum: "USD"

  - `description` (string)
    Describes the circumstances for the subscription credit.

  - `subscription_id` (string)
    The Subscription that was credited.

  - `type` (string)
    The value of this field will always be CREDIT.

  - `tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

## Response 401 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "UNKNOWN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.self` (object)

  - `_embedded.errors._links.self.href` (string)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 403 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "FORBIDDEN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 404 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "NOT_FOUND"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 422 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "INVALID_FIELD"

  - `_embedded.errors.field` (string)

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)


